ionCube Logo
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 


 
Post new topic   Reply to topic    ionCube Forum Index -> ionCube Loader

PHP 7.4 Loaders now available

Author Message
alastair



Joined: 23 Feb 2010
Posts: 378

PostPosted: Mon Jun 29, 2020 5:47 pm    Post subject: PHP 7.4 Loaders now available Reply with quote

Loaders for PHP 7.4 are now included in our version 10.4.0 release of the ionCube Loader packages which are available for download from https://www.ioncube.com/loaders.php

Please note that packages for Mac OS X now have "mac" rather than "dar" as the OS identifier.
_________________
Alastair

ionCube
Back to top
View user's profile Send private message
wesmar



Joined: 15 Apr 2020
Posts: 2

PostPosted: Tue Jun 30, 2020 2:39 pm    Post subject: Reply with quote

Currently i'm testing on the production version of the online store. I will look at the logs tomorrow, but it looks good at the moment.
Back to top
View user's profile Send private message
hochd



Joined: 08 Jul 2020
Posts: 4

PostPosted: Wed Jul 08, 2020 11:03 pm    Post subject: EasyApache availability? Reply with quote

Thank you. Do you have an estimate for when the php 7.4 ioncube loader will be available for installation through cpanel/WHM EasyApache?

I'd rather use that automated route than your update wizard, which is producing guidance I consider incomplete/ambiguous in the case of the VPS I am using.

If you have any way of knowing how long availability through EasyApache will take, that would be helpful.

Thanks
Back to top
View user's profile Send private message
alastair



Joined: 23 Feb 2010
Posts: 378

PostPosted: Thu Jul 09, 2020 12:04 pm    Post subject: Reply with quote

Hi,

We have no idea when the Loader will become available through cpanel/WHM EasyApache since we do not have any control over that project.

Please would you say why you think the Loader Wizard is "producing guidance I consider incomplete/ambiguous in the case of the VPS I am using."

If necessary you can create a ticket in our Support Help Desk through the Wizard and we would be happy to help with installation.
_________________
Alastair

ionCube
Back to top
View user's profile Send private message
hochd



Joined: 08 Jul 2020
Posts: 4

PostPosted: Thu Jul 09, 2020 1:17 pm    Post subject: Reply with quote

Thank you -- I understand you have no control over that project, but if you ever get any insight, please do post on the forum.

Here are my observations about the update wizard:

1. When I run the wizard it says "ionCube Loader version 10.3.9 for PHP 7.3 is already installed but it is an old version. . . To upgrade from version 10.3.9 to version 10.4.0 of the ionCube Loader, please replace your existing loader file, ioncube_loader_lin_7.3.so, with the file of the same name" Of course, the old version warning is due precisely to the fact that I have used EasyApache to get where I am. Undoubtedly that project is still using your version 10.3.9. At any rate, the wizard is not offering to do this upload for me in an automated fashion, so I have to think about where to put these files manually...

2. The readme file for the Wizard suggests that for a VPS these files should end up in /usr/local/ioncube but when I look in that directory, I see your extensions only for php versions 5.5 and 5.6 so that can't be right the place for me to upload the new extensions manually, so that's not the path forward.

3. I did a file find and found that the most recent version for php 7.3 is in fact in all of these directories:

at the server level --

/usr/local/cpanel/3rdparty/php/unversioned/ioncube/ioncube_loader_lin_7.3.so

/opt/cpanel/ea-php73/root/usr/lib64/php/modules/ioncube_loader_lin_7.3.so

at the user account level:

/home/virtfs/hochmand/usr/local/cpanel/3rdparty/php/unversioned/ioncube/ioncube_loader_lin_7.3.so

/home/virtfs/hochmand/opt/cpanel/ea-php73/root/usr/lib64/php/modules/ioncube_loader_lin_7.3.so

So now since the wizard is not offering to take me any further, I'm also stuck on where exactly to upload the latest drivers manually. I can do the upload mechanically, but I really don't want to kill my own server by putting it in the wrong place, or in too many places, or in not enough places.

Of course I could also ask my VPS hosting company to do this if it's within standard sysadmin skills, but it's beyond my own skills. Is a ticket with them or with you the best approach?
Back to top
View user's profile Send private message
alastair



Joined: 23 Feb 2010
Posts: 378

PostPosted: Thu Jul 09, 2020 1:35 pm    Post subject: Reply with quote

Hi,

Yes, naturally if we do get any information about other distributions of the ionCube Loader we will post it here.

With regard to your observations about the Loader Wizard:

1. It would be nice if the Loader Wizard could do the install. However, as it is a web application it does not have permission to do so.

2. For a VPS server the Wizard should not be recommending that the Loader files be placed in /usr/local/ioncube . Old versions of the Wizard did do that but now the Wizard should be giving the PHP extensions directory as the location. If that is not set then it may fall back to /usr/local/ioncube.

3. You are welcome to create a ticket in our Support Help Desk and we should be able to assist. The Loader Wizard has the ability to create a ticket for you. We may have to refer you back to your hosting company if there are some server-specific details needed, as may be the case if, for example, the php.ini file cannot be edited directly.
_________________
Alastair

ionCube
Back to top
View user's profile Send private message
hochd



Joined: 08 Jul 2020
Posts: 4

PostPosted: Thu Jul 09, 2020 1:53 pm    Post subject: Reply with quote

On further reflection, I think the thing to do -- especially since WHM/cPanel has raised their licensing fees dramatically for everyone and these fees have been passed along by most webhosts -- is for me to open a ticket on *their* system and ask them to update EasyApache with your latest extensions and for an estimate of when that might happen. If they enlighten me, I'll return and post another reply here.
Back to top
View user's profile Send private message
hochd



Joined: 08 Jul 2020
Posts: 4

PostPosted: Thu Jul 09, 2020 2:26 pm    Post subject: Reply with quote

OK, here's the update and it's good news.

I checked with my webhost first and they alerted me that just in the last 24 hours there was a new EasyApache update that now includes the IonCube loader for php 7.4.

So in case any one else asks, the loader is now easily installable by idiots like me.

Thank you!
Back to top
View user's profile Send private message
alastair



Joined: 23 Feb 2010
Posts: 378

PostPosted: Mon Jul 13, 2020 4:09 pm    Post subject: Reply with quote

Version 10.4.1 of the ionCube Loader has now been released.

It includes some fixes for issues with inheritance in the PHP 7.4 Loader. It also includes a corrected build of the PHP 7.4 Loader for Aarch64.
_________________
Alastair

ionCube
Back to top
View user's profile Send private message
alastair



Joined: 23 Feb 2010
Posts: 378

PostPosted: Tue Sep 01, 2020 2:23 pm    Post subject: Version 10.4.2 Loader Reply with quote

Version 10.4.2 of the ionCube Loader has now been released.

It contains a fix for an issue with the PHP 7.4 Loader where calling unserialize can result in a crash if the serialized value contains a class that uses traits with properties.
_________________
Alastair

ionCube
Back to top
View user's profile Send private message
alastair



Joined: 23 Feb 2010
Posts: 378

PostPosted: Tue Sep 08, 2020 4:54 pm    Post subject: Version 10.4.3 Loader Reply with quote

Version 10.4.3 of the ionCube Loader has now been released.

The release includes a fix for a regression in the 10.4.2 PHP 7.4 Loader which could lead to a zend_mm_heap corrupted error with WHMCS.
_________________
Alastair

ionCube
Back to top
View user's profile Send private message
alastair



Joined: 23 Feb 2010
Posts: 378

PostPosted: Fri Oct 02, 2020 3:19 pm    Post subject: Version 10.4.4 Loader Reply with quote

Version 10.4.4 of the ionCube Loader has now been released.

That includes a fix for a memory leak with class declarations in the PHP 7.0-7.4 Loaders.
_________________
Alastair

ionCube
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    ionCube Forum Index -> ionCube Loader All times are GMT + 1 Hour
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum